## sysprof 3.40.1

=== debian/changelog ===
sysprof (3.40.1-3) unstable; urgency=medium

  * debian/tests/control: Depend on libjson-glib-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Aug 2021 16:21:28 -0400

sysprof (3.40.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Aug 2021 19:14:59 -0400

sysprof (3.40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Bump dependency on glib 2.67.4, following upstream
    - Build-depend on libjson-glib-dev (required by libsysprof)
  * debian/sysprof.symbols: Update symbols, removing private ones.
    Some symbols were wrongly exported till version 3.40.1, causing
    customers of this library to export them.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 May 2021 17:19:16 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: sysprof
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               binutils-dev (>= 2.17),
               bzip2,
               dh-sequence-gnome,
               itstool,
               libdazzle-1.0-dev (>= 3.30.0),
               libglib2.0-dev (>= 2.67.4),
               libgtk-3-dev (>= 3.22.0),
               libjson-glib-dev,
               libpolkit-agent-1-dev (>= 0.105),
               libpolkit-gobject-1-dev (>= 0.105),
               libsystemd-dev,
               libunwind-dev [!s390x !alpha !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !riscv64 !sparc64 !x32],
               libxml2-utils,
               meson (>= 0.51.0),
               policykit-1
Standards-Version: 4.5.0
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
Vcs-Git: https://salsa.debian.org/gnome-team/sysprof.git
Homepage: https://wiki.gnome.org/Apps/Sysprof

Package: sysprof
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libsysprof-4 (= ${binary:Version}),
          libsysprof-4-dev (= ${binary:Version}),
          libsysprof-capture-4-dev (= ${binary:Version}),
          libsysprof-ui-4 (= ${binary:Version}),
          libsysprof-ui-4-dev (= ${binary:Version})
Suggests: libdazzle-1.0-dev (>= 3.30.0),
          libjson-glib-dev,
          libglib2.0-dev (>= 2.67.4),
          libgtk-3-dev (>= 3.22.0),
          libpolkit-gobject-1-dev (>= 0.105),
Breaks: gnome-builder (<< 3.37.90)
Description: system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 It has the following features:
  - profiles all running processes, not just a single application
  - has a simple graphical interface
  - shows the time spent in each branch of the call tree
  - profiles can be loaded and saved

=== debian/tests/control ===
Tests: libsysprof
Depends: build-essential,
         libglib2.0-dev (>= 2.67.4),
         libjson-glib-dev,
         libpolkit-gobject-1-dev (>= 0.105),
         libsysprof-4-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

Tests: libsysprof-capture
Depends: build-essential,
         libsysprof-capture-4-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

Tests: libsysprof-ui
Depends: build-essential,
         libdazzle-1.0-dev (>= 3.30.0),
         libglib2.0-dev (>= 2.67.4),
         libgtk-3-dev (>= 3.22.0),
         libjson-glib-dev,
         libpolkit-gobject-1-dev (>= 0.105),
         libsysprof-4-dev,
         libsysprof-ui-4-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

## sysprof 3.44.0

=== debian/changelog ===
sysprof (3.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:30:36 -0400

sysprof (3.43.90-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 08:32:03 -0500

sysprof (3.42.1-3) unstable; urgency=medium

  * No-change rebuild from source

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 14:16:05 -0500

sysprof (3.42.1-2) unstable; urgency=medium

  * Split libraries and development files to separate packages
    (Closes: #971243)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 31 Jan 2022 13:49:54 -0500

sysprof (3.42.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/sysprof.symbols: Ignore removal of private rax* symbols
  * d/copyright: Update
  * Correct name of with_sysprofd build option (Closes: #998597)
  * d/rules: Explicitly set build options.
    Explicit is better than implicit here.
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 16:08:31 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                binutils-dev (>= 2.17),
                bzip2,
@@ -23,7 +23,7 @@
                libxml2-utils,
                meson (>= 0.51.0),
                policykit-1
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
@@ -32,17 +32,10 @@
 
 Package: sysprof
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libsysprof-4 (= ${binary:Version}),
-          libsysprof-4-dev (= ${binary:Version}),
-          libsysprof-capture-4-dev (= ${binary:Version}),
-          libsysprof-ui-4 (= ${binary:Version}),
-          libsysprof-ui-4-dev (= ${binary:Version})
-Suggests: libdazzle-1.0-dev (>= 3.30.0),
-          libjson-glib-dev,
-          libglib2.0-dev (>= 2.67.4),
-          libgtk-3-dev (>= 3.22.0),
-          libpolkit-gobject-1-dev (>= 0.105),
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libsysprof-4 (= ${binary:Version}),
+         libsysprof-ui-4 (= ${binary:Version})
 Breaks: gnome-builder (<< 3.37.90)
 Description: system-wide Linux profiler
  Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
@@ -55,3 +48,57 @@
   - has a simple graphical interface
   - shows the time spent in each branch of the call tree
   - profiles can be loaded and saved
+
+Package: libsysprof-4
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: sysprof (<< 3.42.1-2~)
+Replaces: sysprof (<< 3.42.1-2~)
+Description: library for system-wide Linux profiler
+ Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
+ profile the entire system, not just a single application. Sysprof handles
+ shared libraries and applications do not need to be recompiled. In fact they
+ don't even have to be restarted.
+ .
+ This package provides the shared library.
+
+Package: libsysprof-ui-4
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: sysprof (<< 3.42.1-2~)
+Replaces: sysprof (<< 3.42.1-2~)
+Description: UI library for system-wide Linux profiler
+ Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
+ profile the entire system, not just a single application. Sysprof handles
+ shared libraries and applications do not need to be recompiled. In fact they
+ don't even have to be restarted.
+ .
+ This package provides the shared UI library.
+
+Package: libsysprof-4-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libsysprof-4 (= ${binary:Version}),
+         libsysprof-ui-4 (= ${binary:Version}),
+         libdazzle-1.0-dev (>= 3.30.0),
+         libglib2.0-dev (>= 2.67.4),
+         libgtk-3-dev (>= 3.22),
+         libjson-glib-dev,
+         libpolkit-gobject-1-dev (>= 0.105)
+Provides: libsysprof-capture-4-dev (= ${binary:Version}),
+          libsysprof-ui-4-dev (= ${binary:Version})
+Breaks: sysprof (<< 3.42.1-2~)
+Replaces: sysprof (<< 3.42.1-2~)
+Description: development files for system-wide Linux profiler
+ Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
+ profile the entire system, not just a single application. Sysprof handles
+ shared libraries and applications do not need to be recompiled. In fact they
+ don't even have to be restarted.
+ .
+ This package provides the development files for the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifneq ($(filter alpha m68k riscv64 s390x sparc64 x32,$(DEB_HOST_ARCH)),)
libunwind=false
else
libunwind=true
endif

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable_examples=true \
		-Denable_gtk=true \
		-Denable_tests=true \
		-Denable_tools=true \
		-Dhelp=true \
		-Dlibsysprof=true \
		-Dlibunwind=$(libunwind) \
		-Dwith_sysprofd=bundled \
		-Dsystemdunitdir=/lib/systemd/system

=== debian/tests/control ===
Tests: libsysprof
Depends: build-essential,
         libsysprof-4-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

Tests: libsysprof-capture
Depends: build-essential,
         libsysprof-capture-4-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

Tests: libsysprof-ui
Depends: build-essential,
         libsysprof-ui-4-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

## sysprof 3.46.0

=== meson_options.txt ===
# If this is a development build, which is used for our Flatpak build
# so that we have a different app-id (.Devel suffix) than the regular
# application.
option('development', type: 'boolean', value: 'false')

# Optionally disable the GTK application in case you're building the
# sysprof-cli only for your platform. Might be useful in IoT or various
# server scenarios.
option('gtk', type: 'boolean')

# Disable libsysprof/ui (in situations you only want sysprof-capture)
option('libsysprof', type: 'boolean')

# Allow disabling the installation of libsysprof-capture*.a
option('install-static', type: 'boolean')

# Optionally compile sysprofd, which is needed to get elevated privileges.
# You only really want to ignore this if you are running from a container
# and are talking to a host daemon. Also, if you're compiling for something
# other than Linux to allow viewing syscap files.
option('sysprofd', type: 'combo',
  choices: ['host', 'bundled', 'none'],
  value: 'bundled',
)

# The directory to place systemd service files, so that we can auto-launch
# sysprofd as necessary (for the daemon privilege helper).
option('systemdunitdir', type: 'string',
  description: 'Directory for systemd service files'
)

# An optional location to specify where to locate debug information. This
# is useful for distributions to set based on their debuginfo setup.
option('debugdir', type: 'string',
  description: 'Look for global separate debug info in this path'
)

# If Yelp documentation should be installed
option('help', type: 'boolean')

# Disable use of libunwind
option('libunwind', type: 'boolean')

# Optionally disable the tools (this is mostly only useful for building only
# libsysprof-capture as a subproject)
option('tools', type: 'boolean')

# Optionally disable the tests (this is mostly only useful for building only
# libsysprof-capture as a subproject)
option('tests', type: 'boolean')

# Optionally disable the examples (this is mostly only useful for building only
# libsysprof-capture as a subproject)
option('examples', type: 'boolean')

# Optionally build the sysprof-agent tool to allow profiling inside of
# containers from external system
option('agent', type: 'boolean', description: 'Build the sysprof-agent utility')

=== debian/changelog ===
sysprof (3.46.0-4) unstable; urgency=medium

  * Add a pkg.sysprof.nogui profile.
    This will hopefully remove the dependency loop between sysprof and gtk(4)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Feb 2023 14:36:35 +0100

sysprof (3.46.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: Build-depend on polkitd instead of transitional policykit-1
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2022 10:16:42 +0100

sysprof (3.46.0-2) unstable; urgency=medium

  * Update autopkgtest for soname bump

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 03:05:03 -0400

sysprof (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.73.0
  * Drop 3 patches that are no longer needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 17:12:26 -0400

sysprof (3.45.1-2) experimental; urgency=medium

  * Cherry-pick patches to fix symbol leakage to other libraries (LP: #1987301)
  * debian/*.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Aug 2022 15:28:10 -0400

sysprof (3.45.1-1) experimental; urgency=medium

  * New upstream release
  * Build with gtk4 & libadwaita. Drop libdazzle dependency
  * Rename libsysprof-ui-4 -> libsysprof-ui-5 to match soname bump
  * debian/control.in: Build-Depend on desktop-file-utils
  * debian/control.in: Bump minimum meson to 0.59.0
  * debian/control.in: Fix Section for "libs" packages, thanks Lintian
  * debian/rules: Update configure flags
  * debian/*.symbols: Add new symbols
  * Refresh patch
  * Add patch to drop unnecessary glib bump to 2.73

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Aug 2022 14:48:39 -0400

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,28 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                binutils-dev (>= 2.17),
                bzip2,
+               desktop-file-utils,
+               dh-exec,
                dh-sequence-gnome,
                itstool,
-               libdazzle-1.0-dev (>= 3.30.0),
-               libglib2.0-dev (>= 2.67.4),
-               libgtk-3-dev (>= 3.22.0),
+               libadwaita-1-dev <!pkg.sysprof.nogui>,
+# for the tests
+               libcairo2-dev,
+               libglib2.0-dev (>= 2.73.0),
+               libgtk-4-dev (>= 4.6) <!pkg.sysprof.nogui>,
                libjson-glib-dev,
                libpolkit-agent-1-dev (>= 0.105),
                libpolkit-gobject-1-dev (>= 0.105),
                libsystemd-dev,
                libunwind-dev [!s390x !alpha !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !riscv64 !sparc64 !x32],
                libxml2-utils,
-               meson (>= 0.51.0),
-               policykit-1
-Standards-Version: 4.6.0
+               meson (>= 0.59.0),
+               polkitd,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
@@ -35,7 +39,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libsysprof-4 (= ${binary:Version}),
-         libsysprof-ui-4 (= ${binary:Version})
+         libsysprof-ui-5 (= ${binary:Version}) <!pkg.sysprof.nogui>
 Breaks: gnome-builder (<< 3.37.90)
 Description: system-wide Linux profiler
  Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
@@ -50,6 +54,7 @@
   - profiles can be loaded and saved
 
 Package: libsysprof-4
+Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -64,13 +69,15 @@
  .
  This package provides the shared library.
 
-Package: libsysprof-ui-4
+Package: libsysprof-ui-5
+Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Breaks: sysprof (<< 3.42.1-2~)
 Replaces: sysprof (<< 3.42.1-2~)
+Build-Profiles: <!pkg.sysprof.nogui>
 Description: UI library for system-wide Linux profiler
  Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
  profile the entire system, not just a single application. Sysprof handles
@@ -85,14 +92,14 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libsysprof-4 (= ${binary:Version}),
-         libsysprof-ui-4 (= ${binary:Version}),
-         libdazzle-1.0-dev (>= 3.30.0),
-         libglib2.0-dev (>= 2.67.4),
-         libgtk-3-dev (>= 3.22),
+         libsysprof-ui-5 (= ${binary:Version}) <!pkg.sysprof.nogui>,
+         libadwaita-1-dev <!pkg.sysprof.nogui>,
+         libglib2.0-dev (>= 2.73.0),
+         libgtk-4-dev (>= 4.6) <!pkg.sysprof.nogui>,
          libjson-glib-dev,
          libpolkit-gobject-1-dev (>= 0.105)
 Provides: libsysprof-capture-4-dev (= ${binary:Version}),
-          libsysprof-ui-4-dev (= ${binary:Version})
+          libsysprof-ui-5-dev (= ${binary:Version}) <!pkg.sysprof.nogui>
 Breaks: sysprof (<< 3.42.1-2~)
 Replaces: sysprof (<< 3.42.1-2~)
 Description: development files for system-wide Linux profiler

=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,18 @@
 libunwind=true
 endif
 
+ifneq ($(filter libsysprof-ui-%,$(shell dh_listpackages)),)
+gtk=true
+else
+gtk=false
+endif
+
 %:
 	dh  $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Denable_examples=true \
-		-Denable_gtk=true \
-		-Denable_tests=true \
-		-Denable_tools=true \
-		-Dhelp=true \
-		-Dlibsysprof=true \
 		-Dlibunwind=$(libunwind) \
-		-Dwith_sysprofd=bundled \
+		-Dgtk=$(gtk) \
+		-Dsysprofd=bundled \
 		-Dsystemdunitdir=/lib/systemd/system

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,6 @@
 
 Tests: libsysprof-ui
 Depends: build-essential,
-         libsysprof-ui-4-dev,
+         libsysprof-ui-5-dev,
          pkg-config,
 Restrictions: allow-stderr, superficial

## sysprof 3.48.0

=== debian/changelog ===
sysprof (3.48.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:19:08 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                binutils-dev (>= 2.17),
                bzip2,

## sysprof 45.0

=== debian/changelog ===
sysprof (45.0-1) unstable; urgency=medium

  * New upstream release
  * Fix nogui build profile (Closes: #1051104)
  * Drop unnecessary Build-Depends on cairo; gtk4 already pulls it in
  * Drop unnecessary Build-Depends on systemd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:28:51 -0400

sysprof (45~rc-1) unstable; urgency=medium

  * New upstream release
  * libunwind is now a required build dependency
  * debian/libsysprof-6-dev.install: Install additional header file
  * Don't build sysprof GUI on i386; it's no longer need by mutter i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 21:04:30 -0400

sysprof (45~beta-6) unstable; urgency=medium

  * Fix Build-Depends for i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 09:45:15 -0400

sysprof (45~beta-5) unstable; urgency=medium

  * Fix configure flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:58:42 -0400

sysprof (45~beta-4) unstable; urgency=medium

  * Build sysprof GUI package on Debian's i386 (but not Ubuntu's)
    It ships a D-Bus interface needed by the mutter build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 07:52:01 -0400

sysprof (45~beta-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:44:32 -0400

sysprof (45~beta-2) experimental; urgency=medium

  * Resume building GUI packages on riscv64 since gtk4 is bootstrapped there
  * Stop building sysprof GUI on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 15:25:56 -0400

sysprof (45~beta-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2031972)
  * debian/control.in: Bump minimum GTK4, glib, & libadwaita
  * debian/control.in: Build-Depend on libdex-dev & libpanel-dev
  * Drop obsolete patch
  * Update packaging for soname bump
    - libsysprof-ui is no longer provided
    - libsysprof-capture remains at API 4 (but headers are in 6 directory)
    - The other libraries are bumped to API 6
    - One more library is added to the group library package, libsysprof-tracer

  [ Nathan Pratta Teodosio ]
  * Update libsysprof autopkgtest

  [ Simon McVittie ]
  * Give libsysprof-6-6 its Policy-compliant name.
    Move the LD_PRELOAD modules libsysprof-*-6.so into their own separate
    package, libsysprof-6-modules.
  * d/control.in: Remove unnecessary Breaks/Replaces.
    After the SONAME bump, only libsysprof-capture-4-dev has any files
    that were previously in libsysprof-4-dev or sysprof.
  * Remove unused lintian overrides for libsysprof-4
  * d/sysprof.lintian-overrides: Remove overrides that no longer apply

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 19 Aug 2023 12:38:27 -0400

sysprof (3.48.0-5) unstable; urgency=medium

  * debian/gbp.conf: Branch for trixie
  * Resume building GUI packages on riscv64 since gtk4 is bootstrapped there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 15:18:05 -0400

sysprof (3.48.0-4) unstable; urgency=medium

  * Team upload
  * d/control.in: Version the libunwind-dev dependency.
    This package expects the libunwind-dev from src:libunwind, which
    provides a larger API than the libunwind-*-dev from LLVM: in particular,
    the standalone libunwind has pkg-config metadata but LLVM's libunwind
    does not. LLVM's libunwind Provides libunwind-dev even though it does
    not provide all of the same functionality, causing intermittent FTBFS
    when the non-default apt dependency resolver used by sbuild for
    experimental happens to choose LLVM's libunwind-*-dev to satisfy the
    dependency.
    libunwind-*-dev have Provides on libunwind-dev, but it's an unversioned
    Provides, so we can make sure to get the standalone libunwind by
    specifying a version (an arbitrarily old version will do).
    (Mitigates: #1027451)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 23:54:28 +0100

sysprof (3.48.0-3) experimental; urgency=medium

  * Team upload
  * Split the -dev package between the three libraries.
    This should help to reduce dependency cycles, in particular between
    GTK 4 and sysprof.
  * d/control.in: Don't build sysprof under the pkg.sysprof.nogui profile.
    sysprof is a GUI.
  * d/control.in: Remove version constraints unnecessary since Debian 11
  * d/control.in, d/rules: Disable GUI packages on riscv64 for now.
    gtk4 is not available there yet.
  * d/copyright: Update
  * d/lib*.lintian-overrides: Silence warnings about unusual library naming.
    It is intentional that there is no libsysprof.so symbolic link:
    libsysprof-4.so is both the SONAME, and the name used for linking (in
    the form of -lsysprof-4 in the .pc file).
  * d/libsysprof-4.symbols: Add more Build-Depends-Package for completeness
  * d/sysprof.lintian-overrides: Silence false positives for the systemd units
  * Upload to experimental for NEW processing

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 13:32:05 +0100

sysprof (3.48.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:21:51 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: sysprof
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               binutils-dev,
               bzip2,
               desktop-file-utils,
               dh-sequence-gnome,
               itstool,
               libadwaita-1-dev (>= 1.4~beta) [!i386] <!pkg.sysprof.nogui>,
               libdex-dev (>= 0.3),
               libglib2.0-dev (>= 2.76.0),
               libgtk-4-dev (>= 4.10) [!i386] <!pkg.sysprof.nogui>,
               libjson-glib-dev,
               libpanel-dev (>= 1.3.0) [!i386] <!pkg.sysprof.nogui>,
               libpolkit-agent-1-dev,
               libpolkit-gobject-1-dev,
               libunwind-dev (>= 1),
               libxml2-utils,
               meson (>= 0.59.0),
               polkitd,
Standards-Version: 4.6.2
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
Vcs-Git: https://salsa.debian.org/gnome-team/sysprof.git
Homepage: https://wiki.gnome.org/Apps/Sysprof

Package: sysprof
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsysprof-6-6 (= ${binary:Version}),
         libsysprof-6-modules (= ${binary:Version}),
Build-Profiles: <!pkg.sysprof.nogui>
Description: system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 It has the following features:
  - profiles all running processes, not just a single application
  - has a simple graphical interface
  - shows the time spent in each branch of the call tree
  - profiles can be loaded and saved

Package: libsysprof-6-6
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libsysprof-6-modules (>= ${binary:Version}),
Description: library for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides the shared library for console applications
 embedding sysprof.

Package: libsysprof-6-modules
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: LD_PRELOAD modules for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides LD_PRELOAD modules that can be injected into the
 program being profiled.

Package: libsysprof-capture-4-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libsysprof-4-dev (<< 3.48.0-3~),
        sysprof (<< 3.42.1-2~)
Replaces: libsysprof-4-dev (<< 3.48.0-3~),
          sysprof (<< 3.42.1-2~)
Description: capture library for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides a static library for tools that generate profiling
 capture data. It can be linked into other projects to provide more
 detailed trace information.

Package: libsysprof-6-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsysprof-capture-4-dev (= ${binary:Version}),
         libsysprof-6-6 (= ${binary:Version}),
         libdex-dev (>= 0.3),
         libglib2.0-dev (>= 2.76.0),
         libjson-glib-dev,
         libpolkit-gobject-1-dev (>= 0.105),
         libsystemd-dev
Description: development files for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides the development files for the shared library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

dh_options =

ifneq ($(filter i386,$(DEB_HOST_ARCH)),)
dh_options += -Nsysprof
gtk=-Dgtk=false
endif

ifeq ($(filter sysprof,$(shell dh_listpackages)),)
gtk=-Dgtk=false
endif

%:
	dh $@ $(dh_options)

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dsysprofd=bundled \
		-Dsystemdunitdir=/lib/systemd/system \
		$(gtk)

override_dh_makeshlibs:
	# The libraries in libsysprof-6-modules are to be loaded with
	# LD_PRELOAD, not linked
	dh_makeshlibs -Nlibsysprof-6-modules

## sysprof 46~beta

=== debian/changelog ===
sysprof (46~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 14:58:57 -0500

sysprof (45.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 07:26:29 -0500

sysprof (45.1-2) unstable; urgency=medium

  [ John David Anglin ]
  * Add patch to fix hppa issue noticed in build tests (Closes: #1021853)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 17:21:44 -0400

sysprof (45.1-1) unstable; urgency=medium

  * New upstream release
  * Extend dh_auto_test timeout (Closes: #1021853)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 13:40:54 -0400

sysprof (45.0-2) unstable; urgency=medium

  * Team upload
  * Install the systemd unit in /usr/lib/systemd/system.
    This was allowed by Technical Committee resolution #1053901. sysprof
    has not usually been backported, so it doesn't seem important to make
    backports trivial for this particular package.
    Build-depend on debhelper (>= 13.11.6~) so that dh_installsystemd finds
    the unit in its new location.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 11:52:19 +0100

## sysprof 46.0

=== debian/changelog ===
sysprof (46.0-2) unstable; urgency=medium

  * Add Build-Depends: libsystemd-dev
    needed for "Recording System Logs" feature
  * Suggest mesa-utils on Ubuntu but recommend it on Debian
  * Drop obsolete Lintian override
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Jun 2024 10:31:12 -0400

sysprof (46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libsysporf-6-6.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 15:52:55 -0400

sysprof (46~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 Mar 2024 17:57:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: sysprof
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
+Build-Depends: debhelper (>= 13.11.6~),
+               debhelper-compat (= 13),
                binutils-dev,
                bzip2,
                desktop-file-utils,
@@ -21,11 +18,12 @@
                libpanel-dev (>= 1.3.0) [!i386] <!pkg.sysprof.nogui>,
                libpolkit-agent-1-dev,
                libpolkit-gobject-1-dev,
+               libsystemd-dev,
                libunwind-dev (>= 1),
                libxml2-utils,
                meson (>= 0.59.0),
                polkitd,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
@@ -38,6 +36,8 @@
          ${misc:Depends},
          libsysprof-6-6 (= ${binary:Version}),
          libsysprof-6-modules (= ${binary:Version}),
+Recommends: ${sysprof:Recommends}
+Suggests: ${sysprof:Suggests}
 Build-Profiles: <!pkg.sysprof.nogui>
 Description: system-wide Linux profiler
  Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,25 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dsysprofd=bundled \
-		-Dsystemdunitdir=/lib/systemd/system \
+		-Dsystemdunitdir=/usr/lib/systemd/system \
 		$(gtk)
 
 override_dh_makeshlibs:
 	# The libraries in libsysprof-6-modules are to be loaded with
 	# LD_PRELOAD, not linked
 	dh_makeshlibs -Nlibsysprof-6-modules
+
+override_dh_auto_test:
+	dh_auto_test --  --timeout-multiplier 2
+
+# mesa-utils is in Ubuntu "universe" and this feature isn't mandatory
+override_dh_gencontrol:
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	dh_gencontrol -- \
+		-Vsysprof:Suggests='mesa-utils'
+else
+	dh_gencontrol -- \
+		-Vsysprof:Recommends='mesa-utils'
+endif
+
+override_dh_gnome_clean:

## sysprof 47.0

=== debian/changelog ===
sysprof (47.0-2) unstable; urgency=medium

  * Build the sysprof app on loong64 & ppc64 also
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:16:56 -0400

sysprof (47.0-1) experimental; urgency=medium

  * New upstream release
  * Don't build the sysprof app on non-release-architectures
    because gtk4 is not currently built there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 15:31:24 -0400

sysprof (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, GTK4, libadwaita, libdex, & libpanel
  * debian/sysprof.docs: DESIGN.md is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 16:13:08 -0400

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.4~beta) [!i386] <!pkg.sysprof.nogui>,
-               libdex-dev (>= 0.3),
-               libglib2.0-dev (>= 2.76.0),
-               libgtk-4-dev (>= 4.10) [!i386] <!pkg.sysprof.nogui>,
+               libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
+               libdex-dev (>= 0.6),
+               libglib2.0-dev (>= 2.80.0),
+               libgtk-4-dev (>= 4.15) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
                libjson-glib-dev,
-               libpanel-dev (>= 1.3.0) [!i386] <!pkg.sysprof.nogui>,
+               libpanel-dev (>= 1.7.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
                libpolkit-agent-1-dev,
                libpolkit-gobject-1-dev,
                libsystemd-dev,
@@ -31,7 +31,8 @@
 Homepage: https://wiki.gnome.org/Apps/Sysprof
 
 Package: sysprof
-Architecture: linux-any
+# i386 is intentionally not included here
+Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libsysprof-6-6 (= ${binary:Version}),
@@ -109,8 +110,8 @@
 Depends: ${misc:Depends},
          libsysprof-capture-4-dev (= ${binary:Version}),
          libsysprof-6-6 (= ${binary:Version}),
-         libdex-dev (>= 0.3),
-         libglib2.0-dev (>= 2.76.0),
+         libdex-dev (>= 0.6),
+         libglib2.0-dev (>= 2.80.0),
          libjson-glib-dev,
          libpolkit-gobject-1-dev (>= 0.105),
          libsystemd-dev

## sysprof 47.1

=== debian/changelog ===
sysprof (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 11:06:41 -0500

## sysprof 47.2

=== debian/changelog ===
sysprof (47.2-1~ubuntu24.10.1) oracular; urgency=medium

  * New upstream release (LP: #2089748).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Fri, 06 Dec 2024 11:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sysprof
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper (>= 13.11.6~),
                debhelper-compat (= 13),
@@ -10,12 +11,12 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
+               libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x] <!pkg.sysprof.nogui>,
                libdex-dev (>= 0.6),
                libglib2.0-dev (>= 2.80.0),
-               libgtk-4-dev (>= 4.15) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
+               libgtk-4-dev (>= 4.15) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x] <!pkg.sysprof.nogui>,
                libjson-glib-dev,
-               libpanel-dev (>= 1.7.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
+               libpanel-dev (>= 1.7.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x] <!pkg.sysprof.nogui>,
                libpolkit-agent-1-dev,
                libpolkit-gobject-1-dev,
                libsystemd-dev,
@@ -32,7 +33,7 @@
 
 Package: sysprof
 # i386 is intentionally not included here
-Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64
+Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libsysprof-6-6 (= ${binary:Version}),

## sysprof 48~beta

=== debian/changelog ===
sysprof (48~beta-2) unstable; urgency=medium

  * Cherry-pick patch to fix build on most architectures
    (Closes: #1095448, #1095462)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 15:50:51 -0500

sysprof (48~beta-1) unstable; urgency=medium

  * New upstream release (LP: #2084333). Selected highlights:
    - Add new symbolizer for debuginfod which is enabled by default
    - Many performance improvements for capture loading
    - Support for unwinding without frame-pointers on distributions
      lacking -fno-omit-frame-pointer at the toolchain level. This
      uses a new "sysprof-live-unwinder" elevated helper process
      which takes data from perf and unwinds the stack as soon as
      it can without capturing the perf data to disk.
  * debian/libsysprof-6-6.symbols: Add new symbols
  * Bump minimum libdex
  * Add Build-Depends: libdebuginfod-dev, libdw-dev
  * libsysprof-6-dev.install: Add additional header files
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Feb 2025 17:56:08 -0500

sysprof (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 11:44:56 -0500

## sysprof 48.0

=== debian/changelog ===
sysprof (48.0-2) unstable; urgency=medium

  * Cherry-pick a patch to try to fix the build on hppa & sh4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Mar 2025 09:45:34 -0400

sysprof (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:58:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sysprof
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper (>= 13.11.6~),
                debhelper-compat (= 13),
@@ -11,12 +10,14 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x] <!pkg.sysprof.nogui>,
-               libdex-dev (>= 0.6),
+               libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
+               libdebuginfod-dev,
+               libdex-dev (>= 0.9),
+               libdw-dev,
                libglib2.0-dev (>= 2.80.0),
-               libgtk-4-dev (>= 4.15) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x] <!pkg.sysprof.nogui>,
+               libgtk-4-dev (>= 4.15) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
                libjson-glib-dev,
-               libpanel-dev (>= 1.7.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x] <!pkg.sysprof.nogui>,
+               libpanel-dev (>= 1.7.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64] <!pkg.sysprof.nogui>,
                libpolkit-agent-1-dev,
                libpolkit-gobject-1-dev,
                libsystemd-dev,
@@ -26,14 +27,13 @@
                polkitd,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
 Vcs-Git: https://salsa.debian.org/gnome-team/sysprof.git
-Homepage: https://wiki.gnome.org/Apps/Sysprof
+Homepage: https://apps.gnome.org/Sysprof/
 
 Package: sysprof
 # i386 is intentionally not included here
-Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x
+Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libsysprof-6-6 (= ${binary:Version}),
@@ -111,7 +111,8 @@
 Depends: ${misc:Depends},
          libsysprof-capture-4-dev (= ${binary:Version}),
          libsysprof-6-6 (= ${binary:Version}),
-         libdex-dev (>= 0.6),
+         libdebuginfod-dev,
+         libdex-dev (>= 0.9),
          libglib2.0-dev (>= 2.80.0),
          libjson-glib-dev,
          libpolkit-gobject-1-dev (>= 0.105),

=== debian/tests/control ===
Tests: libsysprof
Depends: build-essential,
         libsysprof-6-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

Tests: libsysprof-capture
Depends: build-essential,
         libsysprof-capture-4-dev,
         pkg-config,
Restrictions: allow-stderr, superficial

## sysprof 49~rc

=== debian/changelog ===
sysprof (49~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/libsysprof-6-6.symbols: Add new symbols
  * Remove all patches: applied in new release
  * Remove obsolete Rules-Requires-Root: no field
  * Remove old FSF address from debian/copyright
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 22:19:25 -0400

## sysprof 49.0

=== meson_options.txt ===
# If this is a development build, which is used for our Flatpak build
# so that we have a different app-id (.Devel suffix) than the regular
# application.
option('development', type: 'boolean', value: false)

# Optionally disable the GTK application in case you're building the
# sysprof-cli only for your platform. Might be useful in IoT or various
# server scenarios.
option('gtk', type: 'boolean')

# Allow disabling the installation of libsysprof-capture*.a
option('install-static', type: 'boolean')

# Allow disabling of features that depend on polkit-agent.
option('polkit-agent', type: 'feature',
  value: 'auto',
  description: 'Enable features which require polkit-agent-1'
)

# Optionally compile sysprofd, which is needed to get elevated privileges.
# You only really want to ignore this if you are running from a container
# and are talking to a host daemon. Also, if you're compiling for something
# other than Linux to allow viewing syscap files.
option('sysprofd', type: 'combo',
  choices: ['host', 'bundled', 'none'],
  value: 'bundled',
)

# The directory to place systemd service files, so that we can auto-launch
# sysprofd as necessary (for the daemon privilege helper).
option('systemdunitdir', type: 'string',
  description: 'Directory for systemd service files'
)

# If Yelp documentation should be installed
option('help', type: 'boolean')

# Build libsysprof (required by tools, tests, sysprof, etc)
option('libsysprof', type: 'boolean')

# Optionally disable the tools (this is mostly only useful for building only
# libsysprof-capture as a subproject)
option('tools', type: 'boolean')

# Optionally disable the tests (this is mostly only useful for building only
# libsysprof-capture as a subproject)
option('tests', type: 'boolean')

# Optionally disable the examples (this is mostly only useful for building only
# libsysprof-capture as a subproject)
option('examples', type: 'boolean')

option('debuginfod', type: 'feature')

option('introspection', type: 'feature', value: 'disabled',
       description: 'Enable introspection for libsysprof')
option('docs', type: 'boolean', value: false,
       description: 'Build documentation for libsysprof')

=== debian/changelog ===
sysprof (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:47:07 -0400

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
                libxml2-utils,
                meson (>= 0.59.0),
                polkitd,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
 Vcs-Git: https://salsa.debian.org/gnome-team/sysprof.git
 Homepage: https://apps.gnome.org/Sysprof/

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,12 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
-dh_options =
-
-ifneq ($(filter i386,$(DEB_HOST_ARCH)),)
-dh_options += -Nsysprof
-gtk=-Dgtk=false
-endif
-
 ifeq ($(filter sysprof,$(shell dh_listpackages)),)
 gtk=-Dgtk=false
 endif
 
 %:
-	dh $@ $(dh_options)
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-(\d+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@
